<?php
/*
 +--------------------------------------------------------------------------+
 | phpMyBackupPro                                                           |
 +--------------------------------------------------------------------------+
 | Copyright (c) 2004-2005 by Dirk Randhahn                                 |
 | http://www.phpMyBackupPro.net											|
 | Version information can be found in definitions.php.                     |
 |                                                                          |
 | This program is free software; you can redistribute it and/or            |
 | modify it under the terms of the GNU General Public License              |
 | as published by the Free Software Foundation; either version 2           |
 | of the License, or (at your option) any later version.                   |
 |                                                                          |
 | This program is distributed in the hope that it will be useful,          |
 | but WITHOUT ANY WARRANTY; without even the implied warranty of           |
 | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            |
 | GNU General Public License for more details.                             |
 |                                                                          |
 | You should have received a copy of the GNU General Public License        |
 | along with this program; if not, write to the Free Software              |
 | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,USA.|
 +--------------------------------------------------------------------------+
*/

include("login.php");
include_once("definitions.php");

PMBP_print_header(ereg_replace(".*/","",$_SERVER['SCRIPT_NAME']));

// if global_conf.php is not writeable
if (!is_writeable(GLOBAL_CONF)) echo "<div class=\"red_left\">".I_CONF_ERROR."</div>\n";

// if export directory is not writeable
if (!is_writeable("./".EXPORT_DIR)) echo "<div class=\"red_left\">".I_DIR_ERROR."</div>\n";

// if DATE.DAT in export dir is not writeable
if (!is_writeable("./".EXPORT_DIR.DATE_DAT)) echo "<div class=\"red_left\">".I_DATE_ERROR."</div>\n";

// if first use or no db-connection possible
if (!@mysql_connect($CONF['sql_host'],$CONF['sql_user'],$CONF['sql_passwd']))  echo "<div class=\"red_left\">".C_WRONG_SQL."</div>\n";
if ($CONF['sql_db']) if (!@mysql_select_db($CONF['sql_db'])) echo "<div class=\"red_left\">".C_WRONG_DB."</div>\n";

echo "<br><div class=\"bold_left\">".I_NAME." ".VERSION."</div><br>";
printf(I_WELCOME,"<a href=\"".WEBSITE."\">","</a>");

PMBP_print_footer();
?>
